% script gas box

addpath([pwd '/drawLib'])
addpath([pwd '/gasLib'])
addpath([pwd '/parLib'])
addpath([pwd '/RayTrace'])

if matlabpool('size') == 0
  matlabpool
end

idx = [9 12 3 6 8];

%for n = 1:numel(idx)
%  nn = idx(n);
%  runGasBox(nn, 2e4, ['v2c' num2str(nn)]);
%end

for n = 1:numel(idx)
  nn = idx(n);
  runGasBox(100 + nn, 1e5, ['bb_v2c' num2str(nn)]);
end

% runGasBox(1, 2e4, 'gasBox_Standard');
% runGasBox(2, 2e4, 'gasBox_Standard_Exploded');
% runGasBox(3, 2e4, 'gasBox_Annulus');
% runGasBox(4, 2e4, 'gasBox_Annulus_Exploded');

% runGasBox(5, 2e4, 'gasBox_2cm');
% runGasBox(6, 2e4, 'gasBox_Annulus3cm');
% runGasBox(7, 2e4, 'gasBox_AnnulusVented');

% runGasBox(8, 2e4, 'gasBox_NoERM');
% runGasBox(108, 1e5, 'bigBox_8');

% for n = 1:8
%  runGasBox(100 + n, 1e5, ['bigBox_' num2str(n)]);
% end
