% test draw
%

pos = [1 0 0]' * 15;
orient = -1 * pos;
posLight = [2 10 10]';
sph1 = Sphere(2);
sph2 = Sphere(1);
sph3 = Sphere(2);
sph4 = Sphere(1.5);
cyl1 = Cylinder(2, 1);
box1 = Box(40 * [1 1 1]');

sph2.setPosition([4 2 1]')
sph3.setPosition([-5 0 4]')
sph4.setPosition([0 -2 -2]')
cyl1.setPositionAndOrientation([5 3 -3]', [-0.5 1 1]');
%box1.setPositionAndOrientation([5 0 0]', Vec3.normalize([0.3 0.2 1]') * 1.2);

sph1.setColor([1 0 1]')
sph2.setColor([1 1 0]')
sph3.setColor([0 1 1]')
sph4.setColor([1 0.5 0.5]')
cyl1.setColor([0 1 0]');
box1.setColor([0 0 1]');

shapes = {sph1 sph2 sph3 sph4 cyl1 box1};

%drawShapes(shapes, posLight, pos, orient, 20, 640, 480)
%drawShapes(shapes, posLight, pos, orient, 40, 320, 240)
%drawShapes(shapes, posLight, pos, orient, 40, 160, 120)

for n = -19:3:19
  pos = [19 n 0]';
  orient = Vec3.normalize(-pos);
  drawShapes(shapes, posLight, pos, orient, 50, 320, 240);
  drawnow
end
