% drawSurf(pos, c, p)
%   draw a surface made of patches in pos
%
%   patch(pos(1, :)', pos(2, :)', pos(3, :)', c, ...
%         'EdgeColor', c, 'FaceAlpha', p(1), ...
%         'AmbientStrength', p(2), 'DiffuseStrength', p(3), ...
%         'SpecularStrength', p(4), 'SpecularExponent', p(5));

function drawSurf(pos, c, p)

  patch(pos(1, :)', pos(2, :)', pos(3, :)', c, ...
        'EdgeColor', c, 'FaceAlpha', p(1), ...
      	'AmbientStrength', p(2), 'DiffuseStrength', p(3), ...
	    'SpecularStrength', p(4), 'SpecularExponent', p(5));
     
end
